--  Created by zhangchao on 16-04-21.
--[[网络请求时的转圈]]
LoadingCircleLayer = class("LoadingCircleLayer", function()
    return ZCDialog:create()
end)

--构造函数,LoadingLayer.new()的时候，会自动调用该构造函数
function LoadingCircleLayer:ctor(isRightNow)
    local function doLoading()
        local loadingSprite = zc.createSprite("res/Main/smallLoading.png")
        loadingSprite:setPosition(self:getContentSize().width / 2, self:getContentSize().height / 2)
        self:addChild(loadingSprite)
        
        local loadingAnim = cc.RotateBy:create(0.6, 360)
        loadingSprite:runAction(cc.RepeatForever:create(loadingAnim))
    end
    local _isRightNow = isRightNow == nil and false or isRightNow
    if _isRightNow then
        doLoading()
    else
        performWithDelay(self, doLoading, 0.5)
    end
end

function LoadingCircleLayer:create(isRightNow)
    local layer = LoadingCircleLayer.new(isRightNow)
    return layer;
end
