--游戏控制类

local NetManage = requires("src/netcenter/NetManage.lua")
local GuideManager = requires("src/layer/guide/GuideManager.lua")

-- 初始化网络
function initConnectNet(ip, port)
    --getNetManager():onNetLoading()
    getNetManager():connectNet(ip, port)
end

-- 清除全局对象
function clearGlobalObject()
    getNetManager():clear()
end

--网络中心
function getNetManager()
    if g_NetManager == nil then
        g_NetManager = NetManage.new()
    end
    return g_NetManager
end

--新手引导
function getGuideManager()
    if g_GuideManager == nil then
       g_GuideManager = GuideManager.new()
    end
    return g_GuideManager
end







