local LimitTimeHot = class("LimitTimeHot",function ( ... )
	local params = {
		src = "res/Main/limittimehot/bg.jpg",
		limittimehot = true,
	}
	return zc.createNormalDialog(params)
end)
function LimitTimeHot:create( params )
    return LimitTimeHot.new( params )
end
function LimitTimeHot:ctor( params )
	self.size = self:getContentSize()
	self:initOpenStates()
	self:initData(params)
	self:initUI(params)
	self:initTableView()
	self:createActivity( self._activityIndex )
end

function LimitTimeHot:onEnter( ... )
	zc.addEventListener({
        name = CUSTOM_EVENT.EVENT_LIMINT_HOT,
        callback = function(data)
        	if tolua.isnull(self) then
	        	return
	        end
            local _id = data.data.id
            local setTrue = data.data.setTrue
            if _id then
            	local _cell = nil
            	for i, v in ipairs( self._activityList ) do
            		if v.id == _id then
            			_cell = self._tableview:cellAtIndex( i - 1 )
            			self:freshRed( _cell, _id,setTrue)
            			break
            		end
            	end
            end
            local jjg = tonumber(PlayerData:getRedState(15))
            local dc = tonumber(PlayerData:getRedState(11))
            local statejjg = true
            local statedc = true
            if dc == 0 or dc == false or dc == nil then
            	statedc = false
            end
            if jjg == 0 or jjg == false or jjg == nil then
            	statejjg = false
            end
            if statedc == false and statejjg == false then
				zc.dispatchEvent({name = CUSTOM_EVENT.EVENT_REDORBUBBLE_CHANGE,data = {tag = "limitTimeHot"}})
            end
        end
    })
end
function LimitTimeHot:onExit( ... )
	zc.removeEventListener( CUSTOM_EVENT.EVENT_LIMINT_HOT )
end
function LimitTimeHot:initOpenStates()
	self._infos = {}

	self._infos = {
		{
			id = 22,
			file = "src/layer/activity/AccumulatedChongzhi.lua"
		},
		{
			id = 23,
			file = "src/layer/activity/AccumulatedChongzhi.lua"
		},
		{
			id = 24,
			file = "src/layer/activity/AccumulatedChongzhi.lua"
		},
		{
			id = 25,
			file = "src/layer/activity/AccumulatedChongzhi.lua"
		},

		{
			id = 1,
			sortId = 10,
			op = "MonthSign_main",
			file = "src/layer/activity/MonthSignLayer.lua",
		},
		{
			id = 2,
			sortId = 20,
			op = "Speed_main",
			file = "src/layer/activity/SpeedLayer.lua",
		},
		{
			id = 9,
			sortId = 30,
			op = "RechargeFirst_main",
			file = "src/layer/activity/RechargeFirstLayer.lua",
		},
		{
			id = 10,
			sortId = 40,
			op = "EveryDayCard_main",
			file = "src/layer/activity/MounthCardLayer.lua",
		},
		{
			id = 11,
			sortId = 50,
			op = "ReceiveEnergy_main",
			file = "src/layer/activity/ReceiveEnergyLayer.lua",
		},
		{
			id = 3,
			sortId = 80,
			op = "TurnTable_main",
			file = "src/layer/activity/TurntableLayer.lua",
		},
		{
			id = 4,
			sortId = 90,
			op = "HotPacks_main",
			file = "src/layer/activity/HotPacksLayer.lua",
		},
		{
			id = 5,
			sortId = 100,
			op = "BlackMarket_main",
			file = "src/layer/activity/BlackMarketLayer.lua",
		},
		{
			id = 6,
			sortId = 110,
			op = "WeaponBox_main",
			file = "src/layer/activity/WeaponBoxLayer.lua",
		},
		{
			id = 7,
			sortId = 70,
			op = "FightingRank_main",
			file = "src/layer/activity/FightingRankLayer.lua",
		},
		{
			id = 8,
			sortId = 60,
			op = "GrowUp_main",
			file = "src/layer/activity/GrowUpLayer.lua",
		},
		{
			id = 12,
			sortId = 11,
			op = "MonthSignNew_main",
			file = "src/layer/activity/MonthSignNewLayer.lua",
		},
		{
			id = 14,
			sortId = 121,
			op = "RecruitAcc_main",
			file = "src/layer/activity/RecruitAccumulateLayer.lua",
		},
		{
			id = 15,
			sortId = 130,
			op = "Dekaron_main",
			file = "src/layer/activity/DekaronLayer.lua",
		},
		{
			id = 16,
			sortId = 130,
			op = "HouseShop_activityMain",
			file = "src/layer/activity/ExchangeLayer.lua",
		},
		{
			id = 18,
			sortId = 130,
			op = "DiscountShop_main",
			file = "src/layer/activity/DiscountShopLayer.lua",
		},
		{
			id = 19,
			sortId = 130,
			file = "src/layer/activity/ArenaDoubleAwardsLayer.lua",
		},
		{
			id = 20,
			sortId = 130,
			file = "src/layer/activity/TollgateDoubleAwardsLayer.lua",
		},
		{
			id = 21,
			sortId = 130,
			op = "CountryTask_main",
			file = "src/layer/activity/ChengjiuCountry.lua",
		},
		{
			id = 28, -- 充值返利，节节高
			sortId = 130,
			op = "rebateMain",
			file = "src/layer/activity/RechargeRewardLayer.lua",
		},
		{
			id = 27,
			file = "src/layer/activity/AccumulatedChongzhi.lua"
		},
		{
			id = 29,
			file = "src/layer/activity/MorraLayer.lua"
		},
		{
			id = 26, -- 限时特卖
			op = "main",
			file = "src/layer/activity/FlashSaleLayer.lua"
		},
	}
end

function LimitTimeHot:initData(params)
	self._activityList = {}
	self._activityIndex = 1
	-- self.dayRechargeMoney = 
	self.redPoint  = 0
	local _removeTable
	if APPSTORE_REVIEW then
		_removeTable = {10, 4}
	elseif APP_REVIEW 
	  or APP_SERVER == 2 then
		_removeTable = {9, 10, 3, 4, 5, 6, 7, 8}
	end

	if _removeTable then
		for _k, _v in pairs(_removeTable or {}) do
			for k,v in pairs(self._infos) do
				if v.id == _v then
					table.remove(self._infos, k)
					break
				end
			end
		end
	end

	local _pLevel = PlayerData:getUserLevel()
	for k,v in pairs(self._infos) do
		local _info = PlayerData:getLimitActiveInfoByID(v.id)
		if _info and next(_info) ~= nil then
			local _level = tonumber(_info.level) or 1
			local _type = tonumber(_info.type) or 0
			local entrance = tonumber(_info.entrance) or 0
			if _pLevel >= _level and  entrance == 2 then
				v.name = zc.getActivityGtChangeTest(_info.name)
				v.sortId = tonumber(_info.sort) or 0
				v.entrance = tonumber(_info.entrance) or 0
				table.insert(self._activityList, v)
			end
		end
	end

	table.sort(self._activityList,function (a,b)
		local sortIDA = tonumber(a.sortId)
		local sortIDB = tonumber(b.sortId)
		return sortIDA > sortIDB
	end)

end

function LimitTimeHot:initUI(params)
	-- 背景
	local size = self:getContentSize()
	local bg = ccui.Scale9Sprite:create(cc.rect(35, 35, 650, 400), "res/Main/activity/bigDi.jpg")
	bg:setContentSize(980,520)
	bg:setPosition(self.size.width/2 + 70,self.size.height/2 - 12)
	self:addChild(bg)
	self._bg = bg

	local bgSize = bg:getContentSize()
	local pos = {10,bgSize.height - 5}
	local posImg = {10,bgSize.height + 10}
	local posVertial = {25,bgSize.width - 10}
	local FlipY = {false,true}
	for i = 1,2 do
		-- 阴影层
		local _b_sideImg = zc.getScaleNode("res/Main/common/popBg/shadow_b.png", cc.size(bgSize.width,31))
	    _b_sideImg:setAnchorPoint(0, 1)
	    _b_sideImg:setPosition(-5, posImg[i])
	    bg:addChild(_b_sideImg, -1)
    	-- 红条
		local redline = zc.createSprite("res/Main/limittimehot/redline.png")
		redline:setScaleX(0.85)
		redline:setPosition(bgSize.width/2+3,pos[i])
		bg:addChild(redline)
		-- 竖直装饰线条
		local verticalline = zc.createSprite("res/Main/limittimehot/verticalline.png")
		verticalline:setFlipX(FlipY[i])
		verticalline:setPosition(posVertial[i],bgSize.height/2)
		bg:addChild(verticalline)
	end

	-- 左侧bg
	self.leftbg = ccui.Scale9Sprite:create(cc.rect(1,1,190,639),"res/Main/limittimehot/leftbg.png")
	-- self.leftbg:setContentSize(191,size.height)
	self.leftbg:setPosition(90,self.size.height/2)
	self:addChild(self.leftbg)

	-- title
	local title = zc.createSprite("res/Main/limittimehot/title.png")
	title:setPosition(self.leftbg:getContentSize().width - 10,590)
	self.leftbg:addChild(title,1)

	local green = zc.createSprite("res/Main/limittimehot/green.png")
	green:setPosition(30,self.leftbg:getContentSize().height/2)
	self.leftbg:addChild(green,1)

	self._rightPos = cc.p(510,243)
end

function LimitTimeHot:refreshTime(index,backData)
	-- 日期
	print("index:,,,,,,",index)
	local _turnInfo = PlayerData:getLimitActiveInfoByID(index)
    if _turnInfo.openTime and _turnInfo.endTime then 
    	if not self.timeLab then
	    	self.time_bg = ccui.Scale9Sprite:create(cc.rect(12, 11, 14, 10), "res/Main/role/common/name_bg.png")
			self.time_bg:setContentSize(280,30 )
			self.time_bg:setPosition(200,-23)
			self._bg:addChild(self.time_bg)
	        --活动时间
	        local timeTip = zc.createLabel({
	            text = zc.lang("activity_time") .. "：",
	            fontSize = 19,
	            ap = cc.p(0, 0.5),
	            pos = cc.p(10, self.time_bg:getContentSize().height/2),
	            color = cc.c3b(250, 244, 192),
	        })
	        self.time_bg:addChild(timeTip)
	        local _openTime = os.date("%m" .. zc.lang("date_month") .. "%d" .. zc.lang("date_day_1"), _turnInfo.openTime )
	        local _endTime = os.date("%m" .. zc.lang("date_month") .. "%d" .. zc.lang("date_day_1"), _turnInfo.endTime )
	        self.timeLab = zc.createLabel({
	            text = _openTime .. " ~ " .. _endTime,
	            fontSize = 19,
	            ap = cc.p(0, 0.5),
	            pos = cc.p(timeTip:getPositionX() + timeTip:getContentSize().width, timeTip:getPositionY()),
	            color = cc.c3b(250, 244, 192),
	        })
	        self.time_bg:addChild(self.timeLab)
    	else
    		local _openTime = os.date("%m" .. zc.lang("date_month") .. "%d" .. zc.lang("date_day_1"), _turnInfo.openTime )
	        local _endTime = os.date("%m" .. zc.lang("date_month") .. "%d" .. zc.lang("date_day_1"), _turnInfo.endTime )
    		self.timeLab:setString(_openTime .. " ~ " .. _endTime)
    	end
    end
    local str = zc.lang("recharge_count")..":"
	if index == 22 or index == 25  then
		str = zc.lang("recharge_count")..":"
	elseif index == 24 or index == 23 then
		str = zc.lang("xiaofeiCount")..":"
	elseif index == 27 then
		str = zc.lang("dancong")
	end
	if index == 22 or index == 23 or index == 24 or index == 25 or index == 27 then
		-- local info = PlayerData:getInfoByID(index)
		if not self.num_bg then
			self.num_bg = ccui.Scale9Sprite:create(cc.rect(12, 11, 14, 10), "res/Main/role/common/name_bg.png")
			self.num_bg:setContentSize(200,30 )
			self.num_bg:setPosition(800,-23)
			self._bg:addChild(self.num_bg)
		end

		if index == 27 then
			if self.numLabel then
				self.numLabel:setVisible(false)
			end
			if self.namelabel then
				self.namelabel:setVisible(false)
			end
			self.num_bg:setContentSize(430,30)
			self.num_bg:setPosition(710,-23)

			if not self.dancongLabel then
				self.dancongLabel = zc.createLabel({
					text = str,
					fontSize = 18,
		            ap = cc.p(0, 0.5),
		            pos = cc.p(10, self.num_bg:getContentSize().height/2),
		            color = cc.c3b(231, 188, 157),
				})
				self.num_bg:addChild(self.dancongLabel)
				self.dancongLabel:setVisible(true)
			else
				self.dancongLabel:setVisible(true)
			end
		else
			self.num_bg:setContentSize(200,30 )
			self.num_bg:setPosition(800,-23)
			if self.dancongLabel then
				self.dancongLabel:setVisible(false)	
			end
			if self.numLabel then
				self.numLabel:setVisible(true)
			end
			if self.namelabel then
				self.namelabel:setVisible(true)
			end

			local num = tonumber(backData.dayRechargeMoney) or 0
		    if not self.numLabel then
				self.namelabel = zc.createLabel({
					text = str,
					fontSize = 19,
		            ap = cc.p(0, 0.5),
		            pos = cc.p(20, self.num_bg:getContentSize().height/2),
		            color = cc.c3b(250, 244, 192),
				})
				self.num_bg:addChild(self.namelabel)

				self.numLabel = zc.createLabel({
					text = tostring(num),
					fontSize = 19,
		            ap = cc.p(0, 0.5),
		            pos = cc.p(self.namelabel:getPositionX() + self.namelabel:getContentSize().width, self.namelabel:getPositionY()),
		            color = cc.c3b(250, 244, 192),
				})
				self.num_bg:addChild(self.numLabel)
		    else
		    	self.num_bg:setVisible(true)
		    	self.namelabel:setString(str)
		    	self.numLabel:setString(tostring(num))
		    end
		end
	else
		if self.num_bg then
			self.num_bg:setVisible(false)
		end
	end
end

function LimitTimeHot:initTableView()
	 --防止同时点击
    local touchSize = cc.size(self.leftbg:getContentSize().width+25,self.leftbg:getContentSize().height)
    local touchBtn = zc.createPushButton({
        needSwallow = true,
        noScaleAction = true,
        touchSize = touchSize,
        anchor = cc.p(0.5, 0.5),
        pos = cc.p(self.leftbg:getContentSize().width/2, self.leftbg:getContentSize().height/2)
    })
	self.leftbg:addChild(touchBtn)

	-- local _height = self:getContentSize().height
	self._tableviewSize = cc.size(193, 525)
	local tableview = zc.ZCTableView:create(self._tableviewSize)
    tableview:setBounceable( true )
    tableview:setInertia( true )
    tableview:setDirection( cc.SCROLLVIEW_DIRECTION_VERTICAL )
    tableview:setPosition( cc.p( 10, 0 ) )
    tableview:setDelegate()
    tableview:setVerticalFillOrder( cc.TABLEVIEW_FILL_TOPDOWN )
    local cellWidth = 190
    local cellHeight = 80
    local function cellSizeForTable(table, index) 
        return cellHeight, cellWidth
    end
    local function tableCellAtIndex(table, index)
        local cell = table:dequeueCell()
        -- 创建模板
        if cell == nil then
            cell = zc.ZCTableViewCell:new()
        end
        cell:removeAllChildren()
        -- btn
        local _index = index + 1
        local _name = self._activityList[_index].name
        
        local tabBtn = zc.createComTabButton({
			tag = 7,
			btnText = _name,
			fontSize = 26,
			touchSize = cc.size( cellWidth, cellHeight),
			needSwallow = false,
			needEnableWhenOut = true,
			needEnableWhenMoving = true,
			pos = cc.p( cellWidth/2, cellHeight/2 - 5),
			limittimehot = true,
			outLine = true,
			endCallback = function()
				if self._activityIndex ~= _index  then
					self:createActivity(_index, cell,1)
				end
			end

		})
		cell:addChild( tabBtn )
		cell._tabBtn = tabBtn
		-- print("self._activityIndex ",self._activityIndex,"_index ",_index)
		if self._activityIndex == _index then
			tabBtn:setSelected( true )
			cell:setLocalZOrder( 1 )
			self._activityCell = cell
		else
			cell:setLocalZOrder( 0 )
		end
		local _redPoint = zc.createSprite("res/Main/common/common_red_point.png")
        _redPoint:setVisible(false)
        tabBtn:addChild(_redPoint, 1)
        cell._redPoint = _redPoint
        _redPoint:setAnchorPoint(1, 1)
        _redPoint:setPosition(tabBtn:getContentSize().width - 30, tabBtn:getContentSize().height - 5)
		self:freshRed(cell, self._activityList[_index].id )
        return cell
    end
    local function numberOfCellsInTableView()
    	return #self._activityList
    end
    tableview:registerScriptHandler( cellSizeForTable, cc.TABLECELL_SIZE_FOR_INDEX )
    tableview:registerScriptHandler( tableCellAtIndex, cc.TABLECELL_SIZE_AT_INDEX )
    tableview:registerScriptHandler( numberOfCellsInTableView, cc.NUMBER_OF_CELLS_IN_TABLEVIEW )
    self.leftbg:addChild(tableview)
    self._tableview = tableview
    tableview:reloadData()
    self:initAnimation()
end

-- 刷新红点
function LimitTimeHot:freshRed( cell, id, setTrue )
	local status = PlayerData:getRedState(tonumber(id))
	if tolua.isnull( cell ) then
		return
	end
	local _status = false
	if id == 27 then -- 单充
		local states = PlayerData:getRedState(15)
		if states == 0 or states == nil or states == false then
			_status = false
		else
			_status = true
		end
		if setTrue then
			zc.sendHttp({
				apiName = "HotTime_DanChong_Main",
				-- 成功回调
				successCallback = function(backData)
					backData.id = 27
					zc.dispatchEvent({name = CUSTOM_EVENT.EVENT_DANCHONG,data = {data = backData}})
		        end
		    })
		end
	elseif id == 28 then -- 节节高
		local states = PlayerData:getRedState(11)
		if states == 0 or states == nil or states == false then
			_status = false
		else
			_status = true
			if setTrue then
				zc.sendHttp({
				apiName = "rebateMain",
				-- 成功回调
				successCallback = function(backData)
					backData.id = 28
					zc.dispatchEvent({name = CUSTOM_EVENT.EVENT_DANCHONG,data = {backData}})
		        end
		      })
			end
		end
	end
	cell._redPoint:setVisible( _status )
end

-- 入场动画
function LimitTimeHot:initAnimation()
    local cellHeight = 85
    local cellNum = math.ceil( self._tableviewSize.height/cellHeight )
    for i = 1, cellNum do
        local cell = self._tableview:cellAtIndex( i - 1 )
        if cell then
        	local cellPosY = cell:getPositionY()
            cell:stopAllActions()
            cell:setPosition( -180,cellPosY)
            cell:runAction(
                cc.Sequence:create(
                    cc.DelayTime:create( i*0.15 ),--math.sqrt( ( i - 1 )*0.05 ) ),
                    cc.EaseExponentialOut:create( cc.MoveTo:create( 0.8, 
                    	cc.p( self._tableview:getContentSize().width/2 - 100, cellPosY ) ) )
                )
            )
        end
    end
end

function LimitTimeHot:createActivity( _index, _cell ,sign)
	-- 先设置为选中
	if sign then
		if self._activityCell then
			self._activityCell:setLocalZOrder( 0 )
			self._activityCell._tabBtn:setSelected( false )
		end
	end
	if _cell then
		_cell:setLocalZOrder( 1 )
		_cell._tabBtn:setSelected( true )
	else
		_cell = self._tableview:cellAtIndex(_index - 1)
	end
    local _data = self._activityList[_index]
    if not _data then return end
    if _data then
    	-- 请求后端
    	LayerManager.getTopInfoLayer():setPopInfo("LimitTimeHot")
    	local _params
		if _data.id == 9 then
			_apiName = _data.op
			_params = {type=5001}
		elseif _data.id == 22 or _data.id == 23 or _data.id == 24 or _data.id == 25  then
			_params = {type = tonumber(_data.id)}
			_apiName = "RechargeFirst_main"
		elseif _data.id == 27 then
			_apiName = "HotTime_DanChong_Main"
		elseif _data.id == 29 then
			LayerManager.getTopInfoLayer():setPopInfo("MorraLayer")
			_apiName = "CaiQuan_Main"
		else
			_apiName = _data.op
		end
		zc.sendHttp({
			apiName = _apiName,
			params = _params,
			-- 成功回调
			successCallback = function(backData)
				if self._activityLayer then
			        self._activityLayer:removeFromParent()
			    end
			    backData.activityName = _data.name
			    backData.id = _data.id
			    -- entrance = 2 在限时热点界面 1 表示在活动界面
			    print("_data.entrance ",_data.entrance)
			    backData.activityType = tonumber(_data.entrance)
			    self:refreshTime(_data.id,backData)
			    -- dump(backData)
			    local _layer = requires(_data.file):create(backData)
			    _layer:setPosition( self._rightPos )
			    self._bg:addChild( _layer )
				self._activityLayer = _layer
				self._activityIndex = _index
				self._activityCell = _cell
				-- 创建的时候需要刷新tab
				if not self._tabInit then
					self._tableview:reloadData()
					self._tabInit = true
				end
	        end,
	        -- 失败回调
	        failCallback = function()
				if self._activityCell then
					self._activityCell:setLocalZOrder( 1 )
					self._activityCell._tabBtn:setSelected( true )
				end
				if _cell then
					_cell:setLocalZOrder( 0 )
					_cell._tabBtn:setSelected( false )
				end
	        end,
	        -- 错误码回调
	        errorCallback = function(errorCode, errorMsg)
				if self._activityCell then
					self._activityCell:setLocalZOrder( 1 )
					self._activityCell._tabBtn:setSelected( true )
				end
				if _cell then
					_cell:setLocalZOrder( 0 )
					_cell._tabBtn:setSelected( false )
				end
	        	if self._tabInit then
		        	if tonumber( errorCode ) == 341 then
		        		-- 活动未开放
		        		table.remove( self._activityList, _index )
		        	else
                        zc.tipInfo(LANGUAGE_GETERRORTIP(errorMsg))
		        	end
	        		-- 点击tab的回调，需要提示错误信息
	        		table.remove( self._activityList, _index )
	        		self._tableview:reloadData()
	        		-- self._tableview:reloadDataAndScrollToCurrentCell()
	        	else
	        		-- 初始化创建，不需要提示错误信息，直接移除
	        		table.remove( self._activityList, _index )
	        		-- self:createInitTab()
	        		self:createActivity( self._activityIndex )
	        	end
	        end,
        })
	else
		print("怎么出现了data为空的情况呢 ")
		if self._activityLayer then
	        self._activityLayer:removeFromParent()
	    end
	    local _layer = requires(_data.file):create()
	    _layer:setPosition( self._rightPos )
	    self._bg:addChild( _layer )
		self._activityLayer = _layer
		self._activityIndex = _index
		self._activityCell = _cell
		-- 创建的时候需要刷新tab
		if not self._tabInit then
			self._tableview:reloadData()
			self._tabInit = true
		end
	end
end
return LimitTimeHot