-- 地域版图.xls
-- {
-- 	id = ID
-- 	region = 地域id
-- 	name = 地域名称
-- 	hero1 = 武将1
-- 	hero2 = 武将2
-- 	hero3 = 武将3
-- 	hero4 = 武将4
-- 	hero5 = 武将5
-- 	reward = 奖励
-- 	rank = 排序
-- 	show = 显示
-- }
local region_fetters = {
	["1"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 1,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 27,
		["hero3"] = 28,
		["hero2"] = 8,
		["reward"] = "1|1|80",
		["id"] = 1,
	},
	["2"] = {
		["name"] = "吴传",
		["show"] = 0,
		["region"] = 3,
		["rank"] = 1,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 1,
		["hero3"] = "",
		["hero2"] = 21,
		["reward"] = "1|1|80",
		["id"] = 2,
	},
	["3"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 2,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 2,
		["hero3"] = "",
		["hero2"] = 42,
		["reward"] = "1|1|80",
		["id"] = 3,
	},
	["4"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 3,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 7,
		["hero3"] = "",
		["hero2"] = 4,
		["reward"] = "1|1|80",
		["id"] = 4,
	},
	["5"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 4,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 35,
		["hero3"] = "",
		["hero2"] = 36,
		["reward"] = "1|1|130",
		["id"] = 5,
	},
	["6"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 1,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 37,
		["hero3"] = "",
		["hero2"] = 19,
		["reward"] = "1|1|130",
		["id"] = 6,
	},
	["7"] = {
		["name"] = "吴传",
		["show"] = 0,
		["region"] = 3,
		["rank"] = 2,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 52,
		["hero3"] = "",
		["hero2"] = 67,
		["reward"] = "1|1|130",
		["id"] = 7,
	},
	["8"] = {
		["name"] = "吴传",
		["show"] = 0,
		["region"] = 3,
		["rank"] = 3,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 40,
		["hero3"] = "",
		["hero2"] = 29,
		["reward"] = "1|1|130",
		["id"] = 8,
	},
	["9"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 2,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 64,
		["hero3"] = "",
		["hero2"] = 25,
		["reward"] = "1|1|130",
		["id"] = 9,
	},
	["10"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 5,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 41,
		["hero3"] = "",
		["hero2"] = 32,
		["reward"] = "1|1|130",
		["id"] = 10,
	},
	["11"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 3,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 58,
		["hero3"] = "",
		["hero2"] = 38,
		["reward"] = "1|1|375",
		["id"] = 11,
	},
	["12"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 6,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 20,
		["hero3"] = "",
		["hero2"] = 22,
		["reward"] = "1|1|375",
		["id"] = 12,
	},
	["13"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 7,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 26,
		["hero3"] = "",
		["hero2"] = 11,
		["reward"] = "1|1|375",
		["id"] = 13,
	},
	["14"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 8,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 3,
		["hero3"] = "",
		["hero2"] = 10,
		["reward"] = "1|1|375",
		["id"] = 14,
	},
	["15"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 1,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 45,
		["hero3"] = "",
		["hero2"] = 46,
		["reward"] = "1|1|600",
		["id"] = 15,
	},
	["16"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 4,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 16,
		["hero3"] = "",
		["hero2"] = 14,
		["reward"] = "1|1|600",
		["id"] = 16,
	},
	["17"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 9,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 13,
		["hero3"] = "",
		["hero2"] = 69,
		["reward"] = "1|1|600",
		["id"] = 17,
	},
	["18"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 2,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 17,
		["hero3"] = "",
		["hero2"] = 9,
		["reward"] = "1|1|600",
		["id"] = 18,
	},
	["19"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 6,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 100,
		["hero3"] = "",
		["hero2"] = 108,
		["reward"] = "1|1|130",
		["id"] = 19,
	},
	["20"] = {
		["name"] = "魏传",
		["show"] = 0,
		["region"] = 1,
		["rank"] = 5,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 55,
		["hero3"] = 25,
		["hero2"] = 37,
		["reward"] = "1|1|375",
		["id"] = 20,
	},
	["21"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 11,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 88,
		["hero3"] = "",
		["hero2"] = 63,
		["reward"] = "1|1|130",
		["id"] = 21,
	},
	["22"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 3,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 90,
		["hero3"] = "",
		["hero2"] = 68,
		["reward"] = "1|1|375",
		["id"] = 22,
	},
	["23"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 4,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 66,
		["hero3"] = "",
		["hero2"] = 89,
		["reward"] = "1|1|375",
		["id"] = 23,
	},
	["24"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 5,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 87,
		["hero3"] = "",
		["hero2"] = 86,
		["reward"] = "1|1|130",
		["id"] = 24,
	},
	["25"] = {
		["name"] = "蜀传",
		["show"] = 0,
		["region"] = 2,
		["rank"] = 6,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 51,
		["hero3"] = "",
		["hero2"] = 45,
		["reward"] = "1|1|500",
		["id"] = 25,
	},
	["26"] = {
		["name"] = "群雄",
		["show"] = 0,
		["region"] = 4,
		["rank"] = 10,
		["hero5"] = "",
		["hero4"] = "",
		["hero1"] = 53,
		["hero3"] = "",
		["hero2"] = 116,
		["reward"] = "1|1|600",
		["id"] = 26,
	},
}
return region_fetters