-- 任务-日常.xls
-- {
-- 	id = ID
-- 	name = 任务名称
-- 	triggerConditions = 触发条件
-- 	conditions = 任务目标
-- 	awards = 任务奖励
-- 	activity = 活跃度
-- 	appearLevel = 出现所需玩家等级
-- 	disappearLevel = 消失所需玩家等级
-- 	icon = 图片
-- 	desc = 描述
-- 	functionId = 功能id
-- }
local task_daily = {
	["1"] = {
		["disappearLevel"] = 10000,
		["name"] = "副本战斗",
		["functionId"] = 0,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "主线战斗10次",
		["triggerConditions"] = 0,
		["conditions"] = "12|0|10",
		["id"] = 1,
		["icon"] = "zhandou",
	},
	["2"] = {
		["disappearLevel"] = 10000,
		["name"] = "征收",
		["functionId"] = 0,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "进行5次征收",
		["triggerConditions"] = 0,
		["conditions"] = "25|0|5",
		["id"] = 2,
		["icon"] = "huodong",
	},
	["3"] = {
		["disappearLevel"] = 10000,
		["name"] = "装备强化",
		["functionId"] = 36,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "强化装备3次",
		["triggerConditions"] = 0,
		["conditions"] = "70|0|3",
		["id"] = 3,
		["icon"] = "zhuangbei",
	},
	["4"] = {
		["disappearLevel"] = 10000,
		["name"] = "突飞",
		["functionId"] = 27,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "武将突飞2次",
		["triggerConditions"] = 0,
		["conditions"] = "24|0|2",
		["id"] = 4,
		["icon"] = "bianqiang",
	},
	["5"] = {
		["disappearLevel"] = 10000,
		["name"] = "神兵强化",
		["functionId"] = 7,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "神兵强化1次",
		["triggerConditions"] = 0,
		["conditions"] = "16|0|1",
		["id"] = 5,
		["icon"] = "shenbing",
	},
	["6"] = {
		["disappearLevel"] = 10000,
		["name"] = "武器洗练",
		["functionId"] = 29,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 10,
		["desc"] = "洗练武器1次",
		["triggerConditions"] = 0,
		["conditions"] = "67|0|1",
		["id"] = 6,
		["icon"] = "xilian",
	},
	["7"] = {
		["disappearLevel"] = 10000,
		["name"] = "武神试炼挑战",
		["functionId"] = 23,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "武神试炼战斗3次",
		["triggerConditions"] = 0,
		["conditions"] = "21|0|3",
		["id"] = 7,
		["icon"] = "zhandou",
	},
	["8"] = {
		["disappearLevel"] = 10000,
		["name"] = "熟练度研习",
		["functionId"] = 35,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "熟练度研习2次",
		["triggerConditions"] = 0,
		["conditions"] = "68|0|2",
		["id"] = 8,
		["icon"] = "shuliandu",
	},
	["9"] = {
		["disappearLevel"] = 10000,
		["name"] = "多人副本",
		["functionId"] = 19,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 10,
		["desc"] = "多人副本战斗5次",
		["triggerConditions"] = 0,
		["conditions"] = "27|0|5",
		["id"] = 9,
		["icon"] = "jiban",
	},
	["10"] = {
		["disappearLevel"] = 10000,
		["name"] = "捐献国家科技",
		["functionId"] = 24,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "国家科技捐献5次",
		["triggerConditions"] = 0,
		["conditions"] = "71|0|5",
		["id"] = 10,
		["icon"] = "guojia",
	},
	["11"] = {
		["disappearLevel"] = 10000,
		["name"] = "演武榜",
		["functionId"] = 22,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 10,
		["desc"] = "演武榜挑战3次",
		["triggerConditions"] = 0,
		["conditions"] = "28|0|3",
		["id"] = 11,
		["icon"] = "yanwubang",
	},
	["12"] = {
		["disappearLevel"] = 10000,
		["name"] = "群雄逐鹿",
		["functionId"] = 24,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "在群雄逐鹿攻打2次",
		["triggerConditions"] = 0,
		["conditions"] = "69|0|2",
		["id"] = 12,
		["icon"] = "zhulu",
	},
	["13"] = {
		["disappearLevel"] = 10000,
		["name"] = "押镖",
		["functionId"] = 24,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "完成1次押镖",
		["triggerConditions"] = 0,
		["conditions"] = "65|0|1",
		["id"] = 13,
		["icon"] = "yabiao",
	},
	["14"] = {
		["disappearLevel"] = 10000,
		["name"] = "劫镖成功",
		["functionId"] = 24,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "成功劫镖1次",
		["triggerConditions"] = 0,
		["conditions"] = "66|0|1",
		["id"] = 14,
		["icon"] = "yabiao",
	},
	["15"] = {
		["disappearLevel"] = 10000,
		["name"] = "精英副本",
		["functionId"] = 15,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 10,
		["desc"] = "精英副本战斗5次",
		["triggerConditions"] = 0,
		["conditions"] = "30|0|5",
		["id"] = 15,
		["icon"] = "jingyingfuben",
	},
	["16"] = {
		["disappearLevel"] = 10000,
		["name"] = "名将副本",
		["functionId"] = 16,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "名将副本战斗3次",
		["triggerConditions"] = 0,
		["conditions"] = "26|0|3",
		["id"] = 16,
		["icon"] = "duorenfuben",
	},
	["17"] = {
		["disappearLevel"] = 10000,
		["name"] = "饰品洗练",
		["functionId"] = 10,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "洗练饰品3次",
		["triggerConditions"] = 0,
		["conditions"] = "20|0|3",
		["id"] = 17,
		["icon"] = "shipin",
	},
	["18"] = {
		["disappearLevel"] = 10000,
		["name"] = "培养",
		["functionId"] = 13,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "培养3次",
		["triggerConditions"] = 0,
		["conditions"] = "32|0|3",
		["id"] = 18,
		["icon"] = "peiyang",
	},
	["19"] = {
		["disappearLevel"] = 10000,
		["name"] = "群雄",
		["functionId"] = 25,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "群雄战斗6次",
		["triggerConditions"] = 0,
		["conditions"] = "29|0|6",
		["id"] = 19,
		["icon"] = "qunxiong",
	},
	["20"] = {
		["disappearLevel"] = 10000,
		["name"] = "武神榜",
		["functionId"] = 45,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "武神榜挑战1次",
		["triggerConditions"] = 0,
		["conditions"] = "84|0|1",
		["id"] = 20,
		["icon"] = "wushenbang",
	},
	["21"] = {
		["disappearLevel"] = 10000,
		["name"] = "勾玉合成",
		["functionId"] = 37,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "进行1次勾玉合成",
		["triggerConditions"] = 0,
		["conditions"] = "75|0|1",
		["id"] = 21,
		["icon"] = "baoshi",
	},
	["22"] = {
		["disappearLevel"] = 10000,
		["name"] = "猎魂",
		["functionId"] = 47,
		["appearLevel"] = 1,
		["awards"] = "1|10|1500",
		["activity"] = 5,
		["desc"] = "在灯市猎魂2次",
		["triggerConditions"] = 0,
		["conditions"] = "88|0|2",
		["id"] = 22,
		["icon"] = "liehun",
	},
	["23"] = {
		["disappearLevel"] = 10000,
		["name"] = "兵器库",
		["functionId"] = 32,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 5,
		["desc"] = "兵器库挑战6次",
		["triggerConditions"] = 0,
		["conditions"] = "81|0|6",
		["id"] = 23,
		["icon"] = "bingqiku",
	},
	["24"] = {
		["disappearLevel"] = 10000,
		["name"] = "每日充值",
		["functionId"] = 0,
		["appearLevel"] = 1,
		["awards"] = "1|9|1500",
		["activity"] = 10,
		["desc"] = "每日充值任意金额",
		["triggerConditions"] = 0,
		["conditions"] = "45|0|1",
		["id"] = 24,
		["icon"] = "huodong",
	},
}
return task_daily